com.smartgwt.client.types

## Enum FieldAppearance

- java.lang.Object
- - java.lang.Enum<FieldAppearance>
  - - com.smartgwt.client.types.FieldAppearance

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FieldAppearance>

      public enum FieldAppearance
      extends java.lang.Enum<FieldAppearance>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Disable field
    `HIDDEN` Hide field
    `READONLY` Show in read-only appearance

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FieldAppearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FieldAppearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READONLY

          public static final FieldAppearance READONLY

      Show in read-only appearance

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "READONLY".

    - #### HIDDEN

          public static final FieldAppearance HIDDEN

      Hide field

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "HIDDEN".

    - #### DISABLED

          public static final FieldAppearance DISABLED

      Disable field

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "DISABLED".

  - ### Method Detail

    - #### values

          public static FieldAppearance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldAppearance c : FieldAppearance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldAppearance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`